summaryrefslogtreecommitdiffstats
path: root/debian/tests/upstream-tests
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/upstream-tests')
-rw-r--r--debian/tests/upstream-tests19
1 files changed, 19 insertions, 0 deletions
diff --git a/debian/tests/upstream-tests b/debian/tests/upstream-tests
new file mode 100644
index 0000000..8f89386
--- /dev/null
+++ b/debian/tests/upstream-tests
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e
+
+if [ -n "${DEB_HOST_GNU_TYPE:-}" ]; then
+ CROSS_COMPILE="--host=$DEB_HOST_GNU_TYPE"
+else
+ CROSS_COMPILE=
+fi
+
+# Create needed files for tests
+# Supress warnings (autopkg treats them as failures)
+./prepare-source build 2>/dev/null
+./configure.sh "$CROSS_COMPILE" 2>/dev/null
+
+# Supress gcc warnings (autopkg treats them as failures)
+make tls getgroups getfsdev trimslash t_unsafe wildtest testrun 2>/dev/null
+
+# Run tests
+rsync_bin="/usr/bin/rsync" ./runtests.sh